/*
 This sample demonstrates using the WITH statement

*/

var theString=new String("Jscript.NET Programming");

WScript.Echo("The test string is \"" + theString + "\"");
WScript.Echo("length    = " + theString.length);
WScript.Echo("lowerCase = " + theString.toLowerCase());
WScript.Echo("upperCase = " + theString.toUpperCase());

WScript.Echo("\n- - - - - - - - - -\n");

//
// ***** The code in this section uses the WITH statement  *****
//
with (theString)
{
	WScript.Echo("The test string is \"" + valueOf() + "\"");
	WScript.Echo("length    = " + length);
	WScript.Echo("lowerCase = " + toLowerCase());
	WScript.Echo("upperCase = " + toUpperCase());
}



